function findplayer(name)
    local matches = {}
    for i,v in ipairs(getElementsByType("player")) do
        if getPlayerName(v) == name then
            return v
        end
        local playerName = getPlayerName(v):gsub("#%x%x%x%x%x%x", "")
        playerName = playerName:lower()
        if playerName:find(name:lower(), 0) then
            table.insert(marches, v)
        end
    end
    if #matches == 1 then 
        return matches[1]
    end
    return false
end

function enviarDinheiro(player, cmd, name, quantidade)
	local quantidade = tonumber(quantidade)
	if name and quantidade then
		local alvo = findPlayer(name)
		local money = getPlayerMoney(player)
		if money >= quantidade then
			takePlayerMoney(player, quantidade)
			givePlayerMoney(alvo, quantidade)
			outputChatBox("Você enviou"..quantidade.. " para o jogador ".. getPlayerName(alvo).. ".", player, 2555, 255, 255, true)
			outputChatBox("O jogador" ..getPlayerName(player).. "te enviou #ffff00R$ " ..quantidade.. ".", alvo, 255, 255, 255, true )
		else
			outputChatBox("Você não tem dinheiro suficiente", player. 255, 255, 255, true)
		end
	end
end
addCommandHandler("enviardinheiro", enviarDinheiro)
